package org.websparrow;

import java.sql.Blob;
import java.sql.ResultSet;

import com.opensymphony.xwork2.ActionSupport;

import sun.misc.BASE64Encoder;

public class GetImageAction extends ActionSupport {

	private String imgId, name, image;
	ResultSet rs = null;

	@Override
	public String execute() throws Exception {
		rs = org.websparrow.GetImageDAO.restriveImage(imgId);
		if (rs != null) {

			while (rs.next()) {
				name = rs.getString("name");
				Blob ph = rs.getBlob("image");
				byte data[] = ph.getBytes(1, (int) ph.length());
				// encoding the byte image string
				BASE64Encoder base64Encoder = new BASE64Encoder();
				StringBuilder imageString = new StringBuilder();
				imageString.append("data:image/png;base64,");
				imageString.append(base64Encoder.encode(data));
				image = imageString.toString();
			}

		}
		return "SUCCESS";
	}

	public String getImgId() {
		return imgId;
	}

	public void setImgId(String imgId) {
		this.imgId = imgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

}
